# VikingsDoSwim

"A simple mod that lets you configure Max Swim Speed at max swim skill level. Scales your swim speed, stamina regen and stamina consumption to your swim skill level. Adds a new diving mechanic that lets you swim underwater."

## Installation (manual)

copy `plugins` folder to your `BepInEx` folder.

## Features

- Configurable exp multiplier for swim skill.
- Idle stamina regen base on swim skill.
- Swim speed scaled by swim level.
- Configurable Max Swim Speed at Max Skill Level.
- Diving mechanic that lets you swim underwater.
- Uses ServerSync to sync configs from servers to clients.
- Uses built in config watcher.
- Joystick compatible tested with an xbox360 controller.
- Configurable underwater brightness.
- Configurable underwater fog density.
- Configurable through config file or [configuration manager](https://valheim.thunderstore.io/package/Azumatt/Official_BepInEx_ConfigurationManager/)

## How to dive?
- While swimming in the water press crouch/sneak key ( left control ) together with forward direction key ( W ) then use mouse to navigate to the direction you want to go.
- ( W + Left Control ) + Mouse.
- While holding W + Left Control you can dive down or up using mouse to navigate.
- If you release Left Control you can swim normally using direction keys ( W A S D ) but you can't dive down or up.
- Diving also uses your stamina so better prepare foods with lots of stamina or stamina potion.
- If you run out of stamina while underwater you'll take damage normally until your hp goes down and you'll die.
- If you run out of stamina or you just want to go back up quickly you can press jump key ( Space ).
- While idle in the water your stamina will naturally regen.

## Changelog

<br/>
v1.1.4<br/>
- remove incompatibility tag with rune magic<br/>
<br/>
v1.1.3<br/>
- optimized code and updated serversync<br/>
- added incompatibility to better diving and rune magic mod to avoid conflict with patching the water surface<br/>
<br/>
v1.1.2<br/>
- added version checks<br/>
- updated to latest valheim assemblies<br/>
<br/>
v1.1.1<br/>
- fixed DOF bug, DOF WILL NO LONGER DEACTIVATES IF YOU HAVE IT ON by default<br/>
- changed Fog Effect activation, it will no longer activates in foggy areas like the swamps.<br/>
<br/> 
v1.1.0<br/>
- added underwater brightness settings.<br/>
- added underwater fog density settings.<br/>
- added underwater min/max fog density settings.(as requested)<br/>
<br/>
v1.0.9<br/>
- added possible fix for dof being forced to turnoff when it is being use as default. (damn my eyes hurt its hard to tell the difference with my test machine)<br/>
<br/>
v1.0.8<br/>
- added config option for dive and ascend key<br/>
- added joystick compatibility tested with an xbox360 controller (forgot to add this with the last update)<br/>
<br/>
v1.0.7<br/>
- fixed errors on dedicated servers running on linux<br/>
<br/>
v1.0.6<br/>
- fixed bug that makes your char float in the air after coming out of diving.<br/>
- added DOF effect when underwater.<br/>
<br/>
v1.0.5<br/>
- Added Config Watcher<br/>
- Added new Diving Mechanic<br/>
<br/>
v1.0.1<br/>
- added max swim speed configuration<br/>
- fix stamina bug when mod is off<br/>
<br/>
v1.0.0 first release

